fig = plt.figure()  # Create a figure
# Create WCSAxes object and then add the NDCube plot by setting the axes kwarg.
ax = fig.add_axes([0.1, 0.1, 0.6, 0.6], projection=my_cube[0].wcs)
ax = my_cube[0].plot(axes=ax)
# Create the colorbar axes object and scale it by the image.
cax = fig.add_axes([0.85, 0.1, 0.05, 0.6])
im = ax.get_images()[0]  # Retrieve the plot AxesImage by which to scale colorbar.
cbar = fig.colorbar(im, cax=cax, label="Intensity")
plt.show()
